// Присваивание

// --------------------------------------------------------------------------------------------------------------
// 1. Записать в коротком виде:
//    a) a = a + 10, b = b * 18, c = c - 10
//    b) x = a + x, y = y * z, i = i * 5 * y
// --------------------------------------------------------------------------------------------------------------
let a = 5; // for example
a += 10; // a = a + 10
console.log(a); // 15

let b = 10; // for example
b *= 18; // b = b * 18
console.log(b); // 180

let c = 20; // for example
c -= 10; // c = c - 10
console.log(c); // 10

let x = 27; // for example
x += a; // x = a + x
console.log(x); // 42

let y = 2,
    z = 100; // for example
y *= z; // y = y * z
console.log(y); // 200

let i = 10; // for example
i *= 5 * y; // i = i * 5 * y
console.log(i); // 10000

// --------------------------------------------------------------------------------------------------------------
// 2. Как возвести переменную в квадрат? Использовать короткую запись
// --------------------------------------------------------------------------------------------------------------
let d = 10; // var1 for example
d *= d; // d = d * d
console.log(d); // 100
// or
let e = 5; // var2 for example
e **= 2; // EC7 который не везде поддерживается http://kangax.github.io/compat-table/es2016plus/
console.log(e); // 25


// 3. Арифметические операторы

// --------------------------------------------------------------------------------------------------------------
// 3.1. Сравнить записи:
//      - let a = 5; console.log(a++)
//      - let a = 5; console.log(++a)
// --------------------------------------------------------------------------------------------------------------
let a3 = 5;
console.log(a3++); // Выведет 5
// Потому что мы сначала выведем переменную, а затем увеличим ее зачение. "Постфиксный форма".

let a4 = 5;
console.log(++a4);// Выведет 6
// Потому что мы сначала увеличиваем переменную, а затем возвращаем ее значение в a4. "Префиксный форма".

// --------------------------------------------------------------------------------------------------------------
// 3.2. Как с помощью оператора % узнать четное ли число?
// --------------------------------------------------------------------------------------------------------------
let number = 30;
number % 2 === 0 ? console.log('Четное') : console.log('Нечетное'); // Четное
// Четное число - целое число, которое делится на 2 без остатка.
